| The Gaudi Framework v32r1 (f65d50dc)

Classes | Functions
GaudiException.h File Reference
`#include "GaudiKernel/Kernel.h"`
`#include "GaudiKernel/MsgStream.h"`
`#include "GaudiKernel/StatusCode.h"`
`#include <exception>`
`#include <iostream>`
`#include <string>`
Include dependency graph for GaudiException.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | GaudiException
| Define general base for Gaudi exception. More...

## Functions
std::ostream & | operator<< (std::ostream &os, const GaudiException &ge)
| overloaded printout to std::ostream More...
std::ostream & | operator<< (std::ostream &os, const GaudiException *pge)
| overloaded printout to std::ostream More...
MsgStream & | operator<< (MsgStream &os, const GaudiException &ge)
| overloaded printout to MsgStream More...
MsgStream & | operator<< (MsgStream &os, const GaudiException *pge)
| overloaded printout to MsgStream More...

## Function Documentation

## ◆ operator<<() [1/4]

std::ostream& operator<< | ( | std::ostream & | os,
|  | const GaudiException & | ge
| ) |  |

overloaded printout to std::ostream

Definition at line 73 of file GaudiException.cpp.

73 { return ge.printOut( os ); }
GaudiException::printOut
virtual std::ostream & printOut(std::ostream &os=std::cerr) const
methods for overloaded printout to std::ostream& and MsgStream&
Definition: GaudiException.cpp:61

## ◆ operator<<() [2/4]

std::ostream& operator<< | ( | std::ostream & | os,
|  | const GaudiException * | pge
| ) |  |

overloaded printout to std::ostream

Definition at line 75 of file GaudiException.cpp.

75 {
76 return ( 0 == pge ) ? ( os << " GaudiException* points to NULL!" ) : ( os << *pge );
77 }

## ◆ operator<<() [3/4]

MsgStream& operator<< | ( | MsgStream & | os,
|  | const GaudiException & | ge
| ) |  |

overloaded printout to MsgStream

Definition at line 79 of file GaudiException.cpp.

79 { return ge.printOut( os ); }
GaudiException::printOut
virtual std::ostream & printOut(std::ostream &os=std::cerr) const
methods for overloaded printout to std::ostream& and MsgStream&
Definition: GaudiException.cpp:61

## ◆ operator<<() [4/4]

MsgStream& operator<< | ( | MsgStream & | os,
|  | const GaudiException * | pge
| ) |  |

overloaded printout to MsgStream

Definition at line 81 of file GaudiException.cpp.

81 {
82 return ( 0 == pge ) ? ( os << " GaudiException* points to NULL!" ) : ( os << *pge );
83 }